unit IBMSO32;

{$OrgName+ }

interface

uses
  uTwmSockDef,
  OS2Def;

{$CDECL+}
  (****************************************************************************)
  function accept(SFamily: ULong;
                  SAddr:   pSockAddr;
                  SAddrL:  pLongInt): APIRET;
  (****************************************************************************)
  function bind(SSocket:  ULong;
                SAddr:    pSockAddr;
                SAddrLen: ULong):   APIRET;
  (****************************************************************************)
  function connect(SSocket:  ULong;
                   SAddr:    pSockAddr;
                   SAddrLen: ULong): APIRET;
  (****************************************************************************)
  function gethostid: APIRET;
  (****************************************************************************)
  function getpeername(sSocket: uLong;
                       SAddr: pSockAddr;
                       var SAddrLen: ULONG): ApiRet;
  (****************************************************************************)
  function getsockname(SSocket: ULong;
                       SName:   pSockAddr;
                       var SLength: ULONG): APIRET;
  (****************************************************************************)
  FUNCTION getsockopt(SSocket:  uLong;
                      sLevel:   LongInt;
                      sOptname: LongInt;
                      sOptVal:  pchar;
                      var sOptLen:  LongInt ): ApiRet;
  (****************************************************************************)
  function ioctl(SSocket:  ULong;
                 SRequest: longint;
                 SArgP:    pointer;
                 SArgSize: uLong): APIRET;
  (****************************************************************************)
  function listen(SSocket: ULong;
                  SQueue:  ULong): APIRET;
  (****************************************************************************)
  FUNCTION recvmsg(sSocked: uLong;
                   sMsgHdr: pMsgHdr;
                   sFlags: LongInt ): ApiRet;
  (****************************************************************************)
  function recv(SSocket: ULong;
                SBuffer: pointer;
                SLength: ULong;
                SFlags:  ULong): APIRET;
  (****************************************************************************)
  function recvfrom(SSocket:  ULong;
                    SBuffer:  pointer;
                    SLength:  ULong;
                    SFlags:   ULong;
                    SAddr:    pSockAddr;
                    sAddrLen: pLongInt ): APIRET;
  (****************************************************************************)
  function IBM_select( Sockets: pointer;
                       noreads, nowrites, noexcepts: longint;
                       timeout: longint ): ApiRet;
  (****************************************************************************)
  function send(SSocket:   ULong;
                SBuffer:   pointer;
                SLength:   ULong;
                SFlags:    ULong): APIRET;
  (****************************************************************************)
  FUNCTION sendmsg(SSocket: ULong;
                   sMsgHdr: pMsgHdr;
                   SFlags:  ULong): APIRET;
  (****************************************************************************)
  FUNCTION sendto(sSocket:  ULong;
                  sBuffer:  pointer;
                  sLength:  ULong;
                  sFlags:   ULong;
                  sAddr:    pSockAddr;
                  sAddrLen: LongInt ): APIRET;
  (****************************************************************************)
  FUNCTION setsockopt(sSocket:  ulong;
                      sLevel:   uLong;
                      sOptName: uLong;
                      sOptVal:  pointer;
                      sOptLen:  uLong ): ApiRet;
  (****************************************************************************)
  function sock_init: APIRET;
  (****************************************************************************)
  function IBM_sock_errno: APIRET;
  (****************************************************************************)
  function IBM_psock_errno( s: pChar ): ApiRet;
  (****************************************************************************)
  FUNCTION socket(SDomain:    ULong;
                  SType:      ULong;
                  SProtocol:  ULong): APIRET;
  (****************************************************************************)
  function IBM_soclose(SProtocol: ULong): APIRET;
  (****************************************************************************)
  function soabort(SProtocol: ULong): APIRET;
  (****************************************************************************)
  function so_cancel(SProtocol: ULong): APIRET;
  (****************************************************************************)
  FUNCTION readv(sSocket: uLong;
                 sIoVec: pIoVec;
                 sLength: uLong): ApiRet;
  (****************************************************************************)
  FUNCTION writev(sSocket: uLong;
                  sIoVec: pIoVec;
                  sLength: uLong): ApiRet;
  (****************************************************************************)
  function shutdown(SSocket: ULong;
                    SFlags:  ULong): APIRET;
  (****************************************************************************)
  FUNCTION getinetversion(sVersion: pChar): ApiRet;
  (****************************************************************************)

{$CDECL-}

implementation

{$L IBMSO32.LIB}


const
  Version    = '00.90';
  UseString:  string = '@(#)import interface unit for IBM TCP/IP so32dll.dll'+#0;
  CopyRight1: string = '@(#)ibmso32dll Version '+Version+' - 10.10.96'+#0;
  CopyRight2: string = '@(#)(C) Chr.Hohmann BfS ST2.2 1996'+#0;


{$CDECL+}
  function accept;                      EXTERNAL;
  function bind;                        EXTERNAL;
  function connect;                     EXTERNAL;
  function gethostid;                   EXTERNAL;
  FUNCTION getpeername;                 EXTERNAL;
  function getsockname;                 EXTERNAL;
  FUNCTION getsockopt;                  EXTERNAL;
  function ioctl;                       EXTERNAL;
  function listen;                      EXTERNAL;
  FUNCTION recvmsg;                     EXTERNAL;
  function recv;                        EXTERNAL;
  FUNCTION recvfrom;                    EXTERNAL;
  function IBM_select;                  EXTERNAL;
  function send;                        EXTERNAL;
  FUNCTION sendmsg;                     EXTERNAL;
  FUNCTION sendto;                      EXTERNAL;
  FUNCTION setsockopt;                  EXTERNAL;
  function sock_init;                   EXTERNAL;
  function IBM_sock_errno;              EXTERNAL;
  function IBM_psock_errno;             EXTERNAL;
  function socket;                      EXTERNAL;
  function IBM_soclose;                 EXTERNAL;
  FUNCTION soabort;                     EXTERNAL;
  FUNCTION so_cancel;                   EXTERNAL;
  FUNCTION readv;                       EXTERNAL;
  FUNCTION writev;                      EXTERNAL;
  function shutdown;                    EXTERNAL;
  FUNCTION getinetversion;              EXTERNAL;
{$CDECL-}

end.
